Connection Closed because remote protocol was incompatible

1 Star2 Stars3 Stars4 Stars5 Stars
Loading...
  • Product:
    MassTransit
  • Version:
    4.1-current
  • Document Type:
    Info
  • Revised:
    8/31/2010
  • Reviewed:
    2/15/2005

Summary:

The MassTransit Log may display the following error:
“Connection Closed because remote protocol was incompatible”

This error results from an unsupported version of MassTransit calls another MassTransit, e.g. if MassTransit 2.x calls MassTransit 4.1

Description:

MassTransit 4.1.x no longer supports MassTransit 1.x, MassTransit 2.x, or Adobe Virtual Network 1.x. Customers using these products will need to migrate to MassTransit 3.0 or later to continue to transfer files with MassTransit 4.1.x locations. Note that this only affects certain communication methods — primarily TCP/IP.

Tags: